* {
  margin: 0;
  padding: 0;
}
header {
  position: fixed;
  top: 0;
  box-sizing: border-box;
  z-index: +1;
  width: 100%;
  background-color: green;
  color: white;
  text-align: center;
}
.heading {
  text-align:  center;
  margin-top: 10%;
  margin-bottom: 20px;
}
.err {
  color: red;
}
li {
  list-style: none;
}
footer {
  margin-top: 10px;
}
footer > p {
  text-align:center;
  color:white;
  background-color:green;
}
/* index.php =====================================================*/
.heading-index { /*regiter.php logout.phpでも使用*/
  text-align:  center;
  padding-top: 20%;
  margin-bottom: 20px;
}

@media screen and (min-width: 1024px) {
  .heading-index {
    padding-top: 10%;
  }
}
/* mypege.php ====================================================*/
.open,
.close {
  display: block;
}
.open, .back, aside {
  z-index: +2;
}
.open {
  position: absolute;
  top: 2%;
  left: 3%;
  transform: scale(2);
  color: #fff;
}
aside {
  position: absolute;
  height: 100%;
  width: 60%;
  min-width: 200px;
  left: -300px;
  transition: all 0.2s;
  background-color: #fff;
}
input[type="checkbox"] {
  position: absolute;
  left: -500vw;
}
input[type="checkbox"]:checked ~ aside {
  left: 0;
}
input[type="checkbox"]:checked ~ .back {
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
}

@media screen and (min-width: 1024px) {
  .heading {
    margin-top: 0;
  }
  .open,
  .close {
    display: none;
  }
  .open, .back, aside {
    z-index: 0;
  }
  aside {
    position: static;
    margin-top: 56px;
    height: auto;
    width: auto;
    min-width: initial;
  }
}
/* bbs.php ====================================================*/
.comment-index-item {
  padding: 20px 30px;
  background-color: white;
  overflow: hidden;
  box-shadow: 0 2px 6px #c1ced7;
}
.comment-bottom {
  display: flex;
}
@media screen and (max-width:1000px) {
  h1  {
    font-size:50px;
  }
  input {
    height: 30px;
  }
}
@media screen and (maz-width:576px) {
  h1 {
    font-size:30px;
  }
}
